package com.zhentao.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.controller.Course.dto.CourseDto;
import com.zhentao.domain.Courses;
import com.zhentao.dto.Result;
import com.zhentao.service.CoursesService;
import com.zhentao.mapper.CoursesMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author 86183
* @description 针对表【courses(课程表)】的数据库操作Service实现
* @createDate 2025-05-11 15:31:06
*/
@Service
public class CoursesServiceImpl extends ServiceImpl<CoursesMapper, Courses>
    implements CoursesService{

    @Override
    public Result findAll(CourseDto courseDto) {
        QueryWrapper<Courses> queryWrapper = new QueryWrapper<>();
        queryWrapper.like("course_title",courseDto.getTitle());
        queryWrapper.eq(courseDto.getId()!=null,"category_id",courseDto.getId());
        List<Courses> list = this.list(queryWrapper);
        return Result.OK("查询成功",list);
    }
}




